Skip to content

Colissimo

Colissimo is the parcel delivery service of La Poste, France's national postal service, offering domestic and international shipping solutions for shipments originating in France.

This guide provides developers with the details needed to build Colissimo shipping capabilities into your ShipStation API workflows. For additional information about using Colissimo with ShipStation API, see our Colissimo help article.

NOTE:

Post-Billed Carrier

Colissimo is a post-billed carrier. You are charged when the label is scanned by Colissimo, not when the label is created in ShipStation API.

Requirements

The following properties are required to connect a Colissimo account:

PropertyTypeRequired?Description
nicknamestringrequiredA nickname for the account in ShipStation API (especially useful if connecting multiple accounts).
usernamestringrequiredYour Colissimo account username.
passwordstringrequiredYour Colissimo account password.

NOTE:

Label Display Priority

If both a sender Name and Company Name are provided in the Ship From address, Colissimo labels will display only the Company Name. If only the sender Name is provided, it will be displayed on the label.

Connect Account

You can connect a Colissimo account using the POST method to the /v1/connections/carriers/ endpoint, or via the ShipStation API Dashboard.

Connect via Endpoint

carrier_name: colissimo

POST /v1/connections/carriers/:carrier_name

Sample request:

POST /v1/connections/carriers/colissimo HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "nickname": "My Colissimo Account",
  "username": "your_username",
  "password": "your_password"
}

A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.

Connect via Dashboard

For instructions on connecting your Colissimo account via the ShipStation API dashboard, see our Colissimo help article.

Rates

IMPORTANT:

No Rates API Available

Colissimo does not provide a rates API. Rate estimates will always show $0.00 in ShipStation API. Contact your Colissimo account representative for details about your contracted rates. However, ShipStation Rate Calculator will display available services.

Service Details

The available Colissimo services appear below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.

Domestic Services

ServiceAPI Code
Domicile (France) sans signaturedomicile_france_sans_signature
Domicile (France) avec signaturedomicile_france_avec_signature
Retour Franceretour_france

International Services

ServiceAPI Code
Expert Internationalexpert_international
Domicile (Europe) avec signaturedomicile_europe_avec_signature
Domicile (Territoires Français) sans signaturedomicile_territoires_francais_sans_signature
Domicile (Territoires Français) avec signaturedomicile_territoires_francais_avec_signature

Return Services

Colissimo supports creating return labels using the retour_france service. Review the Return Labels page for details on creating return labels with ShipStation API.

Packages

Colissimo does not include specific carrier package types. You can use the generic package type or custom package types.

Adding Shipment Insurance

Colissimo supports adding insurance to your shipments. Review our Parcel Insurance page for details on adding shipment insurance with ShipStation API.

NOTE:

Automatic Insurance for Mainland France Shipments

For shipments in mainland France, packages are automatically insured in the event of loss or damage up to €23 per kilo (€690 maximum) with or without signature. For shipments greater than or equal to 1kg, an invoice is requested for compensation.

Ad Valorem Insurance is available for Colissimo shipments with signature, with a maximum coverage of €5,000 per shipment.

Insurance CoverageCostEligible Services
€150€0.90Colissimo Domicile avec signature
€300€1.80Colissimo Retour
€500€3.00Colissimo Point Retrait
€1,000€6.00
€2,000€12.00
€5,000 (maximum)€30.00

Label Support

  • Label sizes: 4" x 6"
  • Label formats: PDF, ZPL

NOTE: While ShipStation API can generate 8.5x11 PDF labels for Colissimo, borders on the label may be cut off. All essential data should be visible, but we recommend using the standard 4" x 6" format for best results.

Label Reference Fields

Colissimo supports adding custom label messages.

Multi-Package Labels

Colissimo supports multi-package shipments. See our Multi-Package Shipping page for details about creating multi-package labels.

Label Branding

Colissimo supports label branding.

Voiding Labels

Colissimo supports voiding labels in ShipStation API; however, the void request does not communicate with Colissimo's API. The label will remain valid on Colissimo's side but will be marked as voided in ShipStation API. As long as you do not use the label, it will expire automatically after a period of time and you will not be charged.

Paperless Labels

Colissimo supports paperless labels for most services, including the Retour France return service.

To request a paperless label, add the display_scheme property to your label request with one of these values:

  • paperless - Receive only a paperless download URL
  • label_and_paperless - Receive both a physical label and paperless download URL

The response will include a paperless_download URL that can be used to access the digital label.

Customs Declarations

Customs forms print as part of the label and cannot be printed separately. For CN23 customs forms, a default shipping cost value of €0.50 is used because Colissimo does not share shipping rates via API. You may need to manually correct this value on the physical form if required.

For customs information, Colissimo requires the weight per item in a package. Since ShipStation API does not capture individual item weights, the integration calculates an average weight by dividing the total package weight by the number of items.

Delivery Confirmation

Colissimo delivery services include the confirmation type in the service name (for example, "avec signature" means with signature). A single "Default confirmation for the specified service" confirmation option is used for all services.

Confirmation TypeAPI CodeDescription
Default confirmation for the specified servicedeliveryConfirmation is determined by the service selected.

See our Delivery Confirmation page for more details about using the confirmation property.

Advanced Options

Colissimo supports limited advanced options, which you can add to the shipment object when creating a shipment or label.

To ensure you always have the most up-to-date information about Colissimo's advanced options, use the list carrier options call.

Manifests

Colissimo does not require traditional end-of-day manifests. However, ShipStation API can generate a paper manifest document for you to hand over to the driver when requested. This document is generated from your shipment information and serves as proof when making carrier claims with Colissimo.

Scheduling Pickups

Colissimo does not support scheduling pickups via the ShipStation API.

Service Points (PUDO)

While Colissimo supports pickup and drop-off at service points (PUDO), this feature is not yet available in ShipStation API due to a required field that has not been implemented. PUDO functionality is supported with ShipEngine.

Tracking

ShipStation API's integration with Colissimo does not support automatic tracking updates. You can still track shipments using the tracking number via Colissimo's tracking system or by making manual tracking API requests.

Review our Track a Package guides for details on tracking with ShipStation API.

Disconnecting Your Colissimo Account

See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.

NOTE:

If you disconnect a carrier account and reconnect it, the account will have a new carrier_id in ShipStation API.